.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ViewportContainer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ViewportContainer:

ViewportContainer
=================

**Inherits:** :ref:`Container<class_container>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Variables
----------------

  .. _class_ViewportContainer_stretch:

- :ref:`bool<class_bool>` **stretch**

  .. _class_ViewportContainer_stretch_shrink:

- :ref:`int<class_int>` **stretch_shrink**


